
<div>
    <!-- anchor tag horizontally -->
    <div class="flex items-center gap-2 text-xs text-gray-600">
        <!-- Home link -->
        <a href="/main/profile" class="flex items-center hover:text-orange-600">
            <x-heroicon-o-home class="w-3 h-3 mr-1" />
            <span class="leading-none">Home</span>
        </a>
        <x-heroicon-o-chevron-right class="w-3 h-3" />
        <a href="/main/station-locator/branch" class="hover:text-orange-600">
            Station
        </a>
        <x-heroicon-o-chevron-right class="w-3 h-3" />
        <span>
            Create Station
        </span>
    </div>

    <!-- Page Title -->
    <h3 class="text-5xl font-semibold text-gray-800 mt-4">Create Station</h3>

    <!-- Bottom border -->
    <div class="border-b border-gray-300 mt-5"></div>

    <div class="p-6 mt-10 max-w-5xl mx-auto bg-white rounded-md shadow-md">
        <h2 class="text-lg font-semibold mb-4">Upload Prices</h2>

        <div class="space-y-4">
                <!-- Download CSV Template -->
                <div class="mb-4">
                    <a href="{{ asset('storage/templates/price-template.csv') }}" 
                    class="text-orange-500 hover:text-orange-600 underline text-lg"
                    download>
                        Download Prices Template
                    </a>
                </div>
        <!-- CSV Upload -->
            <div class="flex items-start gap-2">
                <label class="w-40 pt-2">Upload CSV:</label>
                <div class="flex-1">
                    <input type="file" wire:model="csv" class="border rounded px-3 py-2" accept="image/*">

                    @error('image') 
                        <span class="text-red-500 text-sm">{{ $message }}</span> 
                    @enderror

                    @if ($csv)
                        <div class="mt-4">
                            <p class="text-sm text-gray-600 mb-2">Preview:</p>
                            <img src="{{ $csv->temporaryUrl() }}" class="h-48 rounded border">
                        </div>
                    @endif
                </div>
            </div>

        <!-- Select Date -->
            <div class="flex items-center gap-2">
                <label class="w-40">Select Date:</label>
                <input type="date" wire:model="select_date" class="flex-1 border rounded px-3 py-2">
            </div>

        <!-- Text -->
        <div class="p-10 text-sm text-gray-700">
            <ul class="list-disc pl-10 space-y-1">
                <li>This is for scheduling update for group or station.</li>
                <li>Schedule will be applied to uploaded stations.</li>
            </ul>
            <span class="italic block mt-4">If you want to schedule update for another group of stations please upload new file.</span>
        </div>




        <!-- Submit / Cancel -->
        <div class="mt-6 flex justify-end gap-2">
            <button wire:click="cancel" class="px-4 py-2 bg-gray-300 text-black rounded hover:bg-gray-400">Cancel</button>
            <button wire:click="submit" class="px-4 py-2 bg-orange-500 text-white rounded hover:bg-orange-600">Upload New Pricelist</button>
        </div>
    </div>
</div>

